.. _apimodelzoo:

Model Zoo
=========

This section introduces complete models for various downstream tasks.

.. contents:: Contents
    :local:

Building Blocks
---------------

MLP Predictor
`````````````
.. automodule:: dgllife.model.model_zoo.mlp_predictor
    :members:

Molecular Property Prediction
-----------------------------

AttentiveFP Predictor
`````````````````````
.. automodule:: dgllife.model.model_zoo.attentivefp_predictor
    :members:

GAT Predictor
`````````````
.. automodule:: dgllife.model.model_zoo.gat_predictor
    :members:

GCN Predictor
`````````````
.. automodule:: dgllife.model.model_zoo.gcn_predictor
    :members:

MGCN Predictor
``````````````
.. automodule:: dgllife.model.model_zoo.mgcn_predictor
    :members:

MPNN Predictor
``````````````
.. automodule:: dgllife.model.model_zoo.mpnn_predictor
    :members:

SchNet Predictor
````````````````
.. automodule:: dgllife.model.model_zoo.schnet_predictor
    :members:

Weave Predictor
```````````````
.. automodule:: dgllife.model.model_zoo.weave_predictor
    :members:

GIN Predictor
`````````````
.. automodule:: dgllife.model.model_zoo.gin_predictor
    :members:

Generative Models
-----------------

DGMG
````
.. automodule:: dgllife.model.model_zoo.dgmg
    :members:

JTNN
````
.. autoclass:: dgllife.model.model_zoo.jtnn.DGLJTNNVAE
    :members:

Reaction Prediction

WLN for Reaction Center Prediction
``````````````````````````````````
.. automodule:: dgllife.model.model_zoo.wln_reaction_center
    :members:

WLN for Ranking Candidate Products
``````````````````````````````````
.. automodule:: dgllife.model.model_zoo.wln_reaction_ranking
    :members:

Protein-Ligand Binding Affinity Prediction

ACNN
````
.. automodule:: dgllife.model.model_zoo.acnn
    :members: